conv.c File Reference
Convolutional encoding and decoding routines

Generic convolutional encoding / decoding. More...

`#include "config.h"`
`#include <stdint.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <osmocom/core/utils.h>`
`#include <osmocom/core/bits.h>`
`#include <osmocom/core/conv.h>`

## Macros

#define | MAX_AE 0x00ffffff

## Functions

int | osmo_conv_get_input_length (const struct osmo_conv_code *code, int len)
int | osmo_conv_get_output_length (const struct osmo_conv_code *code, int len)
void | osmo_conv_encode_init (struct osmo_conv_encoder *encoder, const struct osmo_conv_code *code)
| Initialize a convolutional encoder. More...
void | osmo_conv_encode_load_state (struct osmo_conv_encoder *encoder, const ubit_t *input)
static int | _conv_encode_do_output (struct osmo_conv_encoder *encoder, uint8_t out, ubit_t *output)
int | osmo_conv_encode_raw (struct osmo_conv_encoder *encoder, const ubit_t *input, ubit_t *output, int n)
int | osmo_conv_encode_flush (struct osmo_conv_encoder *encoder, ubit_t *output)
int | osmo_conv_encode (const struct osmo_conv_code *code, const ubit_t *input, ubit_t *output)
| All-in-one convolutional encoding function. More...
int | osmo_conv_decode_acc (const struct osmo_conv_code *code, const sbit_t *input, ubit_t *output)
void | osmo_conv_decode_init (struct osmo_conv_decoder *decoder, const struct osmo_conv_code *code, int len, int start_state)
void | osmo_conv_decode_reset (struct osmo_conv_decoder *decoder, int start_state)
void | osmo_conv_decode_rewind (struct osmo_conv_decoder *decoder)
void | osmo_conv_decode_deinit (struct osmo_conv_decoder *decoder)
int | osmo_conv_decode_scan (struct osmo_conv_decoder *decoder, const sbit_t *input, int n)
int | osmo_conv_decode_flush (struct osmo_conv_decoder *decoder, const sbit_t *input)
int | osmo_conv_decode_get_output (struct osmo_conv_decoder *decoder, ubit_t *output, int has_flush, int end_state)
int | osmo_conv_decode (const struct osmo_conv_code *code, const sbit_t *input, ubit_t *output)
| All-in-one convolutional decoding function. More...

## Detailed Description

Generic convolutional encoding / decoding.